@import url('https://fonts.googleapis.com/css2?family=Bitter&family=Dancing+Script&family=Merienda&family=Nanum+Myeongjo&family=Playfair+Display&display=swap');
/*font-family: 'Bitter', serif;
font-family: 'Dancing Script', cursive;
font-family: 'Merienda', cursive;
font-family: 'Nanum Myeongjo', serif;
font-family: 'Playfair Display', serif;*/
*{
    font-family: 'Bitter', serif;
    box-sizing: border-box;
    margin: 0;
}
a{
    text-decoration: none;
    color: black;
}
h1{
    background-color: rgb(62, 108, 151);
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 5px;
    color: white;
    font-size: 2.5rem;
}
main{
    padding-left: 10%;
    padding-right: 10%;
}
.nav-bar{
    width: 100%;
    background-color: rgb(146, 176, 204);
    height: 30px;
}
.nav-bar ul{
    padding-top: 5px;
    list-style-type: none;
    width: 100%;
    display: flex;
}
.nav-bar li{
    width: 10%;
    display: flex;
}
.nav-bar a:hover{
    background-color: rgb(185, 119, 238);
    color: white;
}
.dot{
    height: 20px;
    width: 20px;
    border: 5px solid rgb(20, 107, 165);
    background-color: white;
    border-radius: 50%;
    display: inline-block;
    margin-right: 5px;
    transition: all 0.4s ease;
}
.dot:hover{
    border: 5px solid rgb(185, 119, 238);
    background-color: white; 
}
h2 {
    margin-top: 10px;
    font-family: 'Nanum Myeongjo', serif;
    font-size: 2rem;
    display: inline-block;
}
h2 span{
    color: rgb(62, 108, 151);
}
.info{
    margin-top: 10px;
    border: 1px dashed lightgray;
    border-left: 5px solid rgb(185, 119, 238);
    padding-left: 10px;
    padding-top: 20px;
    padding-bottom: 10px;
    margin-bottom: 15px;
    overflow: hidden;
    transition: all 0.4s ease;
}
.info:hover{
    border-left: 5px solid rgb(20, 107, 165);
}
.info h3{
    padding-top: 20px;
}
.info ul{
    padding-top: 20px;
    list-style-type: circle;
}
.info span{
    color: rgb(62, 108, 151);
    font-style: italic;
    transition: all 0.4s ease;
}
.info span:hover{
    color: rgb(185, 119, 238);
    font-style: italic;
}
.info img{
    float: right;
    border-top-right-radius: 60px;
    border-bottom-left-radius: 60px;
    border-bottom-right-radius: 40px;
    border-top-left-radius: 40px;
    border: 1px dashed lightgray;
    padding: 5px;
    margin-right: 10px;
}
/* EXPERIENCIA */
.experience-container{
    clear: both;
    border-left: 5px solid rgb(185, 119, 238);
    border-top: 1px dashed lightgray;
    border-right: 1px dashed lightgray;
    border-bottom: 1px dashed rgb(185, 119, 238);
    padding-left: 10px;
    padding-top: 10px;
    margin-bottom: 15px;
    transition: all 0.4s ease;
}
.experience-container:hover{
    border-bottom: 1px dashed rgb(62, 108, 151);
    border-left: 5px solid rgb(62, 108, 151);
}
.experience{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px dashed rgb(185, 119, 238);
    padding-left: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-bottom: 15px;
    transition: all 0.4s ease;
}
.experience:hover{
    border-bottom: 1px dashed rgb(62, 108, 151);
}
.experience-last{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    padding-left: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-bottom: 15px;
}
.experience-date{
    font-weight: 900;
    width: 20%;
}
.experience-position{
    color: rgb(62, 108, 151);
    width: 80%;
    transition: all 0.4s ease;
}
.experience-position:hover{
    color:rgb(185, 119, 238);
}
.experience-company{
    margin-top: 8px;
    text-transform: uppercase;
    font-family: 'Nanum Myeongjo', serif;
    width: 40%;
}
.experience-city{
    margin-top: 8px;
    font-style: italic;
    width: 25%;
}
/* FORMACION */
.education-container{
    border-left: 5px solid rgb(185, 119, 238);
    border-top: 1px dashed lightgray;
    border-right: 1px dashed lightgray;
    border-bottom: 1px dashed rgb(185, 119, 238);
    padding-left: 10px;
    padding-top: 10px;
    margin-bottom: 15px;
    transition: all 0.4s ease;
}
.education-container:hover{
    border-left: 5px solid rgb(62, 108, 151);
    border-bottom: 1px dashed rgb(62, 108, 151);
}
.education{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px dashed rgb(185, 119, 238);
    padding-left: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-bottom: 15px;
    transition: all 0.4s ease;
}
.education:hover{
    border-bottom: 1px dashed rgb(62, 108, 151);
}
.education-last{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    padding-left: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-bottom: 15px;
}
.education-date{
    font-weight: 900;
    width: 20%;
}
.education-label{
    color: rgb(62, 108, 151);
    width: 80%;
    transition: all 0.4s ease;
}
.education-label:hover{
    color:rgb(185, 119, 238);
}
.education-school{
    margin-top: 8px;
    text-transform: uppercase;
    font-family: 'Nanum Myeongjo', serif;
    width: 40%;
}
.education-city{
    margin-top: 8px;
    font-style: italic;
    width: 25%;
}
/* COMPETENCIAS */
.competence-container{
    border: 1px dashed lightgray;
    border-left: 5px solid rgb(185, 119, 238);
    padding-left: 10px;
    padding-top: 10px;
    margin-bottom: 15px;
    transition: all 0.4s ease;
}
.competence-container:hover{
    border-left: 5px solid rgb(62, 108, 151);
}
.competence{
    margin-top: 20px;
    width: 100%;
    display: flex;
    padding-left: 8%;
    margin-bottom: 15px;
}
/* Si se hiciera con <progress>
.competence-level{
    position: absolute;
    left: 25%;
}
progress {
  -webkit-appearance: none;
}
*/
.barra-container{
    position: absolute;
    left: 25%;
    display: flex;
    height: 25px;
    width: 200px;
    background-color: rgb(194, 190, 190);
}
.progreso1{
    height: 25px;
    width: 32%;
    background-color: rgb(185, 119, 238);
    transition: all 0.4s ease;
}
.progreso1:hover, .progreso2:hover, .progreso3:hover{
    background-color: rgb(62, 108, 151);
}
.progreso2{
    height: 25px;
    width: 80%;
    background-color: rgb(185, 119, 238);
    transition: all 0.4s ease;
}
.progreso3{
    height: 25px;
    width: 50%;
    background-color: rgb(185, 119, 238);
    transition: all 0.4s ease;
}